MainShell

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gui
Class MainShell

    java.lang.Object
      gui.MainShell

All Implemented Interfaces:
  ConnectionNotifier

public class MainShell
extends java.lang.Object
implements ConnectionNotifier

MainShell Klasse Diese Klasse stellt das Hauptfenster dar und implementiert das ConnectionNotifier Interface zur Kommunikation mit untergeordneten Composites

Constructor Summary
`MainShell()` Konstruktor.

Method Summary
`void` | `connectionNotification()` Methode, die vom Network-Handler aufgerufen wird, wenn eine Verbindung abgebrochen wurde
`void` | `dynamicCommandSelect(java.lang.String cmd, int line)` Wird aufgerufen, wenn TabItem-übergreifend dynamisch Commands erstellt und ins Prg-Tab eingefügt werden sollen
`org.eclipse.swt.widgets.Shell` | `getShell()` Liefert die Shell zum Anzeigen und wieder Entfernen
`void` | `messageEvent(Message msg)` Methode, die aufgerufen wird, wenn eine Nachricht vom Roboter gekommen ist
`void` | `stopDynamicCommandSelect(java.lang.String cmd)` Wird von den einzelnen Tabs aufgerufen, wenn dynamische Auswahl abgeschlossen

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MainShell

    public MainShell()

  Konstruktor. Erzeugt die Shell

Method Detail

### getShell

    public org.eclipse.swt.widgets.Shell getShell()

  Liefert die Shell zum Anzeigen und wieder Entfernen

### connectionNotification

    public void connectionNotification()

  Methode, die vom Network-Handler aufgerufen wird, wenn eine Verbindung abgebrochen wurde

  Specified by:
    `connectionNotification` in interface `ConnectionNotifier`

### dynamicCommandSelect

    public void dynamicCommandSelect(java.lang.String cmd,
                                     int line)

  Wird aufgerufen, wenn TabItem-übergreifend dynamisch Commands erstellt und ins Prg-Tab eingefügt werden sollen

  Parameters:
    `cmd` - das Command, um das es sich handelt
    `line` - Zeile in der die dynamische Auswahl eingefügt wird

### stopDynamicCommandSelect

    public void stopDynamicCommandSelect(java.lang.String cmd)

  Wird von den einzelnen Tabs aufgerufen, wenn dynamische Auswahl abgeschlossen

  Parameters:
    `cmd` - fertiger Command-String

### messageEvent

    public void messageEvent(Message msg)

  Methode, die aufgerufen wird, wenn eine Nachricht vom Roboter gekommen ist

  Specified by:
    `messageEvent` in interface `ConnectionNotifier`
  Parameters:
    `msg` - Nachricht die empfangen wurde

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD